package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.AppToPerAppVPNMapping;

import java.util.List;

@ApiModel(value = "AppToPerAppVPNMappingBeanWrapper",
        description = "This class represents the information of AppToPerAppVPNMapping.")
public class AppToPerAppVPNMappingBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of deviceIds to be execute App to app VPN.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "AppToPerAppVPNMapping.", required = true)
    private AppToPerAppVPNMapping operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public AppToPerAppVPNMapping getOperation() {
        return operation;
    }

    public void setOperation(AppToPerAppVPNMapping operation) {
        this.operation = operation;
    }
}
